curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"types": ["ach.pull.nightly", "payments.failed.previous_day"]
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.failed.previous_day"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Types
Replace Types
PUT
/
report_schedules
/
{schedule_id}
/
types
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"types": ["ach.pull.nightly", "payments.failed.previous_day"]
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.failed.previous_day"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
Replaces the full
types array on an existing Report Schedule. The
provided array must contain at least one Report type.
Path Parameters
Body
Returns
Returns the updated Report Schedule object.curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6/types \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"types": ["ach.pull.nightly", "payments.failed.previous_day"]
}'
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"types": [
"ach.pull.nightly",
"payments.failed.previous_day"
],
"delivery_methods": [
"webhook",
"email"
],
"recipients": [
"example@methodfi.com"
],
"cron": "0 8 * * *",
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:24:42.118Z"
}
⌘I